Package org.jfree.report.modules.misc.tablemodel

# Class PrintableTableModel

java.lang.Object
org.jfree.report.modules.misc.tablemodel.PrintableTableModel

All Implemented Interfaces:
  `TableModel`

public class PrintableTableModel extends Object implements TableModel
A tablemodel that allows to override the column names. This is usefull in internationalized environments, where the tablemodel returns diffent columnnames depending on the current locale.

Author:
  LordOfCode

## Constructor Summary

Constructors
Constructor
Description
`PrintableTableModel(TableModel source, String[] keys)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addTableModelListener(TableModelListener l)`
`Class`
`getColumnClass(int columnIndex)`
`int`
`getColumnCount()`
`String`
`getColumnName(int columnIndex)`
Retrieves the internationalized column name from the string array.
`int`
`getRowCount()`
`Object`
`getValueAt(int rowIndex, int columnIndex)`
`boolean`
`isCellEditable(int rowIndex, int columnIndex)`
`void`
`removeTableModelListener(TableModelListener l)`
`void`
`setValueAt(Object aValue, int rowIndex, int columnIndex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrintableTableModel

public PrintableTableModel(TableModel source, String[] keys)

## Method Details

### getColumnCount

public int getColumnCount()

Specified by:
  `getColumnCount` in interface `TableModel`

### getRowCount

public int getRowCount()

Specified by:
  `getRowCount` in interface `TableModel`

### isCellEditable

public boolean isCellEditable(int rowIndex, int columnIndex)

Specified by:
  `isCellEditable` in interface `TableModel`

### getColumnClass

public Class getColumnClass(int columnIndex)

Specified by:
  `getColumnClass` in interface `TableModel`

### getValueAt

public Object getValueAt(int rowIndex, int columnIndex)

Specified by:
  `getValueAt` in interface `TableModel`

### setValueAt

public void setValueAt(Object aValue, int rowIndex, int columnIndex)

Specified by:
  `setValueAt` in interface `TableModel`

### getColumnName

public String getColumnName(int columnIndex)
Retrieves the internationalized column name from the string array.

Specified by:
  `getColumnName` in interface `TableModel`
See Also:
  - `TableModel.getColumnName(int)`

### addTableModelListener

public void addTableModelListener(TableModelListener l)

Specified by:
  `addTableModelListener` in interface `TableModel`

### removeTableModelListener

public void removeTableModelListener(TableModelListener l)

Specified by:
  `removeTableModelListener` in interface `TableModel`